#!/usr/bin/env python

__copyright__ = 'Copyright 2013-2014, http://radical.rutgers.edu'
__license__   = 'MIT'

import os
import sys

os.environ['RADICAL_PILOT_VERBOSE'] = 'REPORT'

import radical.pilot as rp
import radical.utils as ru


# ------------------------------------------------------------------------------

resources = ['local.localhost', 'local.localhost']
sessions  = list()

for i in range(3):

    session = rp.Session()
    pmgr    = rp.PilotManager(session=session)

    print session.uid
    
    for j in range(2):
        pilot = pmgr.submit_pilots(rp.ComputePilotDescription({
                'resource'      : 'local.localhost',
                'cores'         : 6,
                'runtime'       : 15,
                'exit_on_error' : True,
                }))
        print pilot.uid
    sessions.append(session)

for s in sessions:
    s.close()
    

